
Redmine - Defect #38073

CommonMark Markdown formatter does not support min-width, max-width, min-height, and

max-height CSS properties

2022-12-22 14:40 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 5.0.5   

Resolution: Fixed Affected version:  

Description

The new CommonMark Markdown formatter should also support min-width, max-width, min-height, and max-height. These

properties are already supported by Textile formatter (#26552).

diff --git a/lib/redmine/wiki_formatting/common_mark/sanitization_filter.rb b/lib/redmine/wiki_for

matting/common_mark/sanitization_filter.rb

index b1f1cfe01..eca4859be 100644

--- a/lib/redmine/wiki_formatting/common_mark/sanitization_filter.rb

+++ b/lib/redmine/wiki_formatting/common_mark/sanitization_filter.rb

@@ -29,8 +29,8 @@ module Redmine

         ALLOWED_CSS_PROPERTIES = %w[

           color background-color

-          width

-          height

+          width min-width max-width

+          height min-height max-height

           padding padding-left padding-right padding-top padding-bottom

           margin margin-left margin-right margin-top margin-bottom

           border border-left border-right border-top border-bottom border-radius border-style bor

der-collapse border-spacing

Related issues:

Related to Redmine - Defect #37237: Common Markdown Formatter does not render... Closed

Related to Redmine - Feature #26552: Allow "max-height", "max-width", "min-he... Closed

Related to Redmine - Patch #42618: Add missing allowed CSS properties to the ... Closed

Associated revisions

Revision 22025 - 2023-01-11 14:11 - Go MAEDA

CommonMark Markdown formatter does not support min-width, max-width, min-height, and max-height CSS properties (#38073).

Patch by Go MAEDA.

Revision 22048 - 2023-01-16 13:57 - Go MAEDA

Merged r22025 from trunk to 5.0-stable (#38073).

History

#1 - 2023-01-09 09:22 - Go MAEDA

- Related to Defect #37237: Common Markdown Formatter does not render all properties on HTML elements added

#2 - 2023-01-09 09:22 - Go MAEDA

- Related to Feature #26552: Allow "max-height", "max-width", "min-height" and "min-width" CSS properties in Textile added

#3 - 2023-01-09 09:25 - Go MAEDA

- File 38073.patch added

- Target version set to 5.0.5
Setting the target version to 5.0.5.

#4 - 2023-01-11 14:11 - Go MAEDA

- Subject changed from CommonMark markdown formatter does not support min-width, max-width, min-height, and max-height CSS properties to

CommonMark Markdown formatter does not support min-width, max-width, min-height, and max-height CSS properties

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#5 - 2023-01-16 13:57 - Go MAEDA

- Status changed from Resolved to Closed

#6 - 2025-04-23 10:53 - Go MAEDA

- Related to Patch #42618: Add missing allowed CSS properties to the CommonMark Markdown help added

Files

38073.patch 2.01 KB 2023-01-09 Go MAEDA
